sort
uksort
Array Functions
PHP Manual

# uasort

(PHP 4, PHP 5)

uasort — Sort an array with a user-defined comparison function and maintain index association

### Description

bool uasort ( array `&$array` , callback `$cmp_function` )

This function sorts an array such that array indices maintain their correlation with the array elements they are associated with, using a user-defined comparison function.

This is used mainly when sorting associative arrays where the actual element order is significant.

### Parameters

`array`

  The input array.

`cmp_function`

  See usort() and uksort() for examples of user-defined comparison functions.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- usort()
- uksort()
- asort()
- arsort()
- ksort()
- rsort()
- sort()

sort
uksort
Array Functions
PHP Manual